Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/usr.bin/sys_info add pkg_install to the list of programs rep...



details:   https://anonhg.NetBSD.org/src/rev/ade4894532e7
branches:  trunk
changeset: 826248:ade4894532e7
user:      agc <agc%NetBSD.org@localhost>
date:      Wed Aug 23 18:15:53 2017 +0000

description:
add pkg_install to the list of programs reported

don't throw a warning if tcsh is not found in the path

diffstat:

 usr.bin/sys_info/sys_info.sh |  11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

diffs (41 lines):

diff -r cb83080dcccb -r ade4894532e7 usr.bin/sys_info/sys_info.sh
--- a/usr.bin/sys_info/sys_info.sh      Wed Aug 23 14:14:59 2017 +0000
+++ b/usr.bin/sys_info/sys_info.sh      Wed Aug 23 18:15:53 2017 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 
-# $NetBSD: sys_info.sh,v 1.8 2017/08/23 01:17:46 kre Exp $
+# $NetBSD: sys_info.sh,v 1.9 2017/08/23 18:15:53 agc Exp $
 
 # Copyright (c) 2016 Alistair Crooks <agc%NetBSD.org@localhost>
 # All rights reserved.
@@ -26,7 +26,7 @@
 # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
-SYS_INFO_VERSION=$( D="\$Date: 2017/08/23 01:17:46 $"; set -f;
+SYS_INFO_VERSION=$( D="\$Date: 2017/08/23 18:15:53 $"; set -f;
                        IFS=" /"; set -- $D; printf %s "$2$3$4" )
 
 PATH=$(sysctl -n user.cs_path)
@@ -186,6 +186,11 @@
        openssl)
                run "openssl version 2>/dev/null | awk '{ print tolower(\$1) \"-\" \$2 }'"
                $all || return 0 ;&
+       pkg_info|pkg_install)
+               if which_prog infopath pkg_info; then
+                       run "printf 'pkg_install-%s\n' $(${infopath} -V)"
+               fi
+               $all || return 0 ;&
        sh)
                run "set -- \$NETBSD_SHELL; case \"\$1+\$2\" in *+BUILD*) ;; +) set -- ancient;; *) set -- \"\$1\";;esac; printf 'sh-%s\\n' \$1\${2:+-\${2#BUILD:}}"
                $all || return 0 ;&
@@ -198,8 +203,6 @@
        tcsh)
                if which_prog tcshpath tcsh; then
                        run "${tcshpath} --version | awk '{ print \$1 \"-\" \$2 }'"
-               else
-                       $all || printf >&2 '%s\n' "tcsh: not found"
                fi
                $all || return 0 ;&
        tzdata)



Home | Main Index | Thread Index | Old Index